API V1 Deadline Extended

Here at Zencoder we are continuously working on improving our service. This sometimes means making changes to our API. In our first 2 years as a public service, we haven’t had to make a backwards-incompatible change to our API, and we’re proud of this. But a few months ago, we announced Version 2 of our API, which made some changes that could affect customer integrations. We announced that we would be discontinuing the V1 API on June 1 and that we would require customers to move to V2 before that date.

We’ve since decided to hold off on the June 1 deadline. This means that you will not be required to migrate to V2 on June 1. Instead, we are working on a new API version, V3, which will be coming towards the end of summer. Since V2 and V3 are being released just a few months apart, we will continue to support API V1 until V3 is here, so you would only have to upgrade once. We will be announcing specific dates and features soon.

We know that required API upgrades can be disruptive, which is why we have been very careful with these sorts of changes. The changes introduced by V2 improve the usability, reliability, and functionality of our application, and we’re excited to introduce further improvements in V3. We will always keep these changes minimal, so that upgrading from one version to another can be done quickly and easily.

Check out our online API Version History to stay on top of version announcements, and for info on updating to new API versions.

If you have further questions, please email our support at help@zencoder.com.

blog comments powered by Disqus